// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.SourceEditor.OptionPanels {
    
    
    public partial class HighlightingPanel {
        
        private Gtk.VBox vbox4;
        
        private Gtk.Label GtkLabel4;
        
        private Gtk.Alignment GtkAlignment3;
        
        private Gtk.VBox vbox6;
        
        private Gtk.CheckButton enableHighlightingCheckbutton;
        
        private Gtk.CheckButton enableSemanticHighlightingCheckbutton;
        
        private Gtk.Label GtkLabel5;
        
        private Gtk.Alignment GtkAlignment;
        
        private Gtk.VBox vbox5;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.TreeView styleTreeview;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Button addButton;
        
        private Gtk.Button removeButton;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel";
            // Container child MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.Gtk.Container+ContainerChild
            this.vbox4 = new Gtk.VBox();
            this.vbox4.Name = "vbox4";
            this.vbox4.Spacing = 6;
            // Container child vbox4.Gtk.Box+BoxChild
            this.GtkLabel4 = new Gtk.Label();
            this.GtkLabel4.Name = "GtkLabel4";
            this.GtkLabel4.Xalign = 0F;
            this.GtkLabel4.LabelProp = Mono.Unix.Catalog.GetString("<b>Syntax highlighting</b>");
            this.GtkLabel4.UseMarkup = true;
            this.vbox4.Add(this.GtkLabel4);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox4[this.GtkLabel4]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.GtkAlignment3 = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment3.Name = "GtkAlignment3";
            this.GtkAlignment3.LeftPadding = ((uint)(12));
            // Container child GtkAlignment3.Gtk.Container+ContainerChild
            this.vbox6 = new Gtk.VBox();
            this.vbox6.Name = "vbox6";
            this.vbox6.Spacing = 6;
            // Container child vbox6.Gtk.Box+BoxChild
            this.enableHighlightingCheckbutton = new Gtk.CheckButton();
            this.enableHighlightingCheckbutton.CanFocus = true;
            this.enableHighlightingCheckbutton.Name = "enableHighlightingCheckbutton";
            this.enableHighlightingCheckbutton.Label = Mono.Unix.Catalog.GetString("_Enable highlighting");
            this.enableHighlightingCheckbutton.DrawIndicator = true;
            this.enableHighlightingCheckbutton.UseUnderline = true;
            this.vbox6.Add(this.enableHighlightingCheckbutton);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vbox6[this.enableHighlightingCheckbutton]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child vbox6.Gtk.Box+BoxChild
            this.enableSemanticHighlightingCheckbutton = new Gtk.CheckButton();
            this.enableSemanticHighlightingCheckbutton.CanFocus = true;
            this.enableSemanticHighlightingCheckbutton.Name = "enableSemanticHighlightingCheckbutton";
            this.enableSemanticHighlightingCheckbutton.Label = Mono.Unix.Catalog.GetString("E_nable semantic highlighting");
            this.enableSemanticHighlightingCheckbutton.DrawIndicator = true;
            this.enableSemanticHighlightingCheckbutton.UseUnderline = true;
            this.vbox6.Add(this.enableSemanticHighlightingCheckbutton);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox6[this.enableSemanticHighlightingCheckbutton]));
            w3.Position = 1;
            w3.Expand = false;
            w3.Fill = false;
            this.GtkAlignment3.Add(this.vbox6);
            this.vbox4.Add(this.GtkAlignment3);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox4[this.GtkAlignment3]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.GtkLabel5 = new Gtk.Label();
            this.GtkLabel5.Name = "GtkLabel5";
            this.GtkLabel5.Xalign = 0F;
            this.GtkLabel5.LabelProp = Mono.Unix.Catalog.GetString("<b>Color scheme</b>");
            this.GtkLabel5.UseMarkup = true;
            this.vbox4.Add(this.GtkLabel5);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox4[this.GtkLabel5]));
            w6.Position = 2;
            w6.Expand = false;
            w6.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.GtkAlignment = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment.Name = "GtkAlignment";
            this.GtkAlignment.LeftPadding = ((uint)(12));
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            this.vbox5 = new Gtk.VBox();
            this.vbox5.Name = "vbox5";
            this.vbox5.Spacing = 6;
            // Container child vbox5.Gtk.Box+BoxChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            Gtk.Viewport w7 = new Gtk.Viewport();
            w7.ShadowType = ((Gtk.ShadowType)(0));
            // Container child GtkViewport.Gtk.Container+ContainerChild
            this.styleTreeview = new Gtk.TreeView();
            this.styleTreeview.CanFocus = true;
            this.styleTreeview.Name = "styleTreeview";
            this.styleTreeview.HeadersVisible = false;
            w7.Add(this.styleTreeview);
            this.scrolledwindow1.Add(w7);
            this.vbox5.Add(this.scrolledwindow1);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.vbox5[this.scrolledwindow1]));
            w10.Position = 0;
            // Container child vbox5.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.addButton = new Gtk.Button();
            this.addButton.CanFocus = true;
            this.addButton.Name = "addButton";
            this.addButton.UseStock = true;
            this.addButton.UseUnderline = true;
            this.addButton.Label = "gtk-add";
            this.hbox2.Add(this.addButton);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox2[this.addButton]));
            w11.Position = 1;
            w11.Expand = false;
            w11.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.removeButton = new Gtk.Button();
            this.removeButton.CanFocus = true;
            this.removeButton.Name = "removeButton";
            this.removeButton.UseStock = true;
            this.removeButton.UseUnderline = true;
            this.removeButton.Label = "gtk-remove";
            this.hbox2.Add(this.removeButton);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.hbox2[this.removeButton]));
            w12.Position = 2;
            w12.Expand = false;
            w12.Fill = false;
            this.vbox5.Add(this.hbox2);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox5[this.hbox2]));
            w13.Position = 1;
            w13.Expand = false;
            w13.Fill = false;
            this.GtkAlignment.Add(this.vbox5);
            this.vbox4.Add(this.GtkAlignment);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox4[this.GtkAlignment]));
            w15.Position = 3;
            this.Add(this.vbox4);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
